
Redmine - Feature #6352

Showing diff of structural changes in repository

2010-09-10 08:31 - Joonas Pulakka

Status: New Start date: 2010-09-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Currently (1.0.1) the "Repository -> View differences" only shows differences in source code files. It should be able to show also have

some kind of "Changed files" view so that changes in directory structure and added and deleted (possibly binary) files could be

visualized.

TortoiseSVN's "Compare revisions" / "Changed files" views are a model example of this.

An extra feature for comparing binary files could be showing their md5 or sha1 hashes.

Related issues:

Related to Redmine - Feature #2372: Ideas for the Revisions page New 2008-12-22

Related to Redmine - Feature #3988: Show diff in revision page Reopened 2009-10-07

History

#1 - 2011-01-18 08:24 - Toshi MARUYAMA

- Category set to SCM

#2 - 2011-03-11 19:29 - random tao

It would be very useful to output changed files between revisions in "View differences" with ability to click on them to go to their changes, this feature i

miss the most from TRAC.

something like output of "git diff --name-status "
